import request from '@/utils/request'

// 查询12个频道
export function channelPage(id) {
  return request({
    url: `/device/channelTemplate/pageForTemplateId/${id}`,
    method: 'get'
  })
}

// 编辑频道规则
export function editPage(data) {
  return request({
    url: `/device/channelTemplate/editPage`,
    method: 'post',
    data
  })
}

// 编辑12频道信息
export function channelEdit(data) {
  return request({
    url: `/device/channel/edit`,
    method: 'post',
    data: data
  })
}

// 规则列表
export function page(data) {
  return request({
    url: `/device/channelTemplate/pageList`,
    method: 'post',
    data
  })
}

// 新增规则
export function create(data) {
  return request({
    url: `/device/channelTemplate/addPage`,
    method: 'post',
    data
  })
}

// 频道属性
export function channelTemplate(data){
  return request({
    url: `/device/channelTemplate/searchClassify`,
    method: 'post',
    data
  })
}

// 频道详情
export function channelDetail(data) {
  return request({
    url: `/device/channel/view`,
    method: 'post',
    data
  })
}

// 编辑频道
export function edit(data) {
  return request({
    url: `/device/channel/edit`,
    method: 'post',
    data
  })
}

// 频道内容列表
export function list(query) {
  return request({
    url: `/commonRadio/page`,
    method: 'get',
    params: query
  })
}

// 删除频道规则
export function getRemove(id) {
  return request({
    url: `/device/channelTemplate/deleteTemplate/${id}`,
    method: 'delete'
  })
}

// 设备
export function devList(type) {
  return request({
    url: `/device/channelTemplate/getIsExistclientTypeList/${type}`,
    method: 'post',
  })
}

// 排序
export function change(data) {
  return request({
    url: `/device/channel/channel/sortEdit`,
    method: 'post',
    data
  })
}
